Page 1 of 1

VASSAL fails when opening a module, even the Tutorial

PostPosted: January 21st, 2020, 2:26 pm
by cianuro
Hi

I've just downloaded VASSAL for linux, and even though the program runs, I can't do anything with it, because trying to run the tutorial results in an error. I also tried with Module Pandemic, and an error happened too. I tried to make VASSAL send the error report itself but it couldn't do that either, so I'm uploading it manually.

Thanks!

Re: VASSAL fails when opening a module, even the Tutorial

PostPosted: January 21st, 2020, 11:25 pm
by uckelman
Thus spake cianuro:
>
> 2020-01-21 15:23:49,441 [0-main] INFO VASSAL.launch.StartUp - Java version 11.0.6

This is your problem.

VASSAL 3.2 isn't compatible with anything newer than Java 8. The next
release will be compatible with newer versions of Java, but until then
you need to use Java 8 or earlier.

--
J.

Re: VASSAL fails when opening a module, even the Tutorial

PostPosted: January 22nd, 2020, 9:34 am
by cianuro
Great, that's easy to solve then, at least not a bug in itself but just an incompatibility. I'll work around it. Thanks a lot!